Package com.sun.jna

## Class FromNativeContext

- java.lang.Object
- - com.sun.jna.FromNativeContext

Direct Known Subclasses:
  `CallbackParameterContext`, `FunctionResultContext`, `StructureReadContext`

    public class FromNativeContext
    extends java.lang.Object

Provides context for converting a native value into a Java type.

### Constructor Summary

Constructors
`FromNativeContext​(java.lang.Class<?> javaType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `getTargetType()` The desired Java type of the result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FromNativeContext

    FromNativeContext​(java.lang.Class<?> javaType)

### Method Detail

#### getTargetType

    public java.lang.Class<?> getTargetType()

The desired Java type of the result.